> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paylead.fr/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the list of Offers

> Lists all the Offers of the Program with the main parameters.



## OpenAPI

````yaml /program/api/openapi/legacy/1.1.4/m2m.json get /connectors/m2m/offers
openapi: 3.0.2
info:
  title: PayLead API
  version: 1.1.4
servers:
  - url: https://api.sandbox.paylead.tech
security:
  - ApiKeyAuth: []
paths:
  /connectors/m2m/offers:
    get:
      tags:
        - Offers
      summary: Get the list of Offers
      description: Lists all the Offers of the Program with the main parameters.
      parameters:
        - description: Filter by brand__id
          in: query
          name: brand__id
          schema:
            format: uuid
            type: string
        - description: Filter by end_date
          in: query
          name: end_date
          schema:
            type: string
        - description: the page number
          in: query
          name: page
          required: false
          schema:
            minimum: 1
            type: integer
        - description: the number of elements per page
          in: query
          name: per_page
          required: false
          schema:
            maximum: 100
            minimum: 1
            type: integer
        - description: Sort by given attribute
          in: query
          name: sort
          schema:
            enum:
              - start_date
              - end_date
              - type
              - brand__id
              - status
              - '-start_date'
              - '-end_date'
              - '-type'
              - '-brand__id'
              - '-status'
            type: string
        - description: |
            Filter by start_date

            Filtering on start date
            between <from>--<too>
            after   <from>--
            before  --<to>
          examples:
            between:
              summary: between 2020-05-25 and 2021-01-13
              value: 2020-05-25T00:00--2021-01-13T00:00
            older:
              summary: before 2021-05-25
              value: '--2021-05-25T00:00'
          in: query
          name: start_date
          schema:
            type: string
        - description: Filter by status
          in: query
          name: status
          schema:
            type: string
        - description: Filter by type
          in: query
          name: type
          schema:
            enum:
              - CASHBACK
              - UNIQUE_COUPON
              - GENERIC_COUPON
              - VOUCHER
              - AFFILIATION
              - LBS_CASHBACK
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  items:
                    items:
                      $ref: '#/components/schemas/ProgramOfferM2m'
                    type: array
                  meta:
                    properties:
                      page:
                        type: integer
                      per_page:
                        type: integer
                      total:
                        type: integer
          description: OK
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Not allowed to access the resource
        '404':
          description: Not found
        '405':
          description: Method not allowed
        '422':
          description: Unprocessable Entity
components:
  schemas:
    ProgramOfferM2m:
      discriminator:
        mapping:
          AFFILIATION:
            $ref: '#/components/schemas/AffiliationProgramOfferM2m'
          CASHBACK:
            $ref: '#/components/schemas/CashbackProgramOfferM2m'
          GENERIC_COUPON:
            $ref: '#/components/schemas/ProgramCouponGenericOfferM2m'
          UNIQUE_COUPON:
            $ref: '#/components/schemas/ProgramCouponUniqueOfferM2m'
          VOUCHER:
            $ref: '#/components/schemas/VoucherProgramOfferM2m'
        propertyName: type
      oneOf:
        - $ref: '#/components/schemas/CashbackProgramOfferM2m'
        - $ref: '#/components/schemas/ProgramCouponGenericOfferM2m'
        - $ref: '#/components/schemas/ProgramCouponUniqueOfferM2m'
        - $ref: '#/components/schemas/AffiliationProgramOfferM2m'
        - $ref: '#/components/schemas/VoucherProgramOfferM2m'
    AffiliationProgramOfferM2m:
      properties:
        application_channel:
          enum:
            - BOTH
            - ONLINE
            - OFFLINE
          maxLength: 7
        application_url:
          nullable: true
        brand:
          $ref: '#/components/schemas/OfferBrand'
        brand_id: {}
        completed_at:
          format: date-time
          nullable: true
          type: string
        deactivated_at:
          format: date-time
          nullable: true
          type: string
        deep_link_url:
          description: >-
            Link that need to be clicked by the consumer to access the online
            offer
          type: string
        description:
          minLength: 1
        end_date:
          format: date-time
          nullable: true
          readOnly: true
          type: string
        highlight_level:
          enum:
            - HIGHEST
            - HIGH
            - NORMAL
          maxLength: 7
          nullable: true
        id:
          format: uuid
          type: string
        legal_terms: {}
        max_fixed_reward_amount:
          description: |2-

                    Maximum fixed rate amount that a consumer can access, this value is enter manually
                    by the program manager, only check that it is inferior or equal of maximum define
                    on the associated strategy
                    
          nullable: true
          type: number
        max_reward_rate:
          description: |2-

                    Maximum reward rate that a consumer can access, this value is enter manually
                    by the program manager, only check that it is inferior or equal of maximum define
                    on the associated strategy
                    
          nullable: true
          type: number
        name:
          minLength: 1
        picture:
          $ref: '#/components/schemas/Image'
        picture_id:
          format: uuid
          nullable: true
          type: string
        publication_date:
          format: date-time
          readOnly: true
          type: string
        reference:
          type: string
        segments:
          items: {}
          type: array
        start_date:
          format: date-time
          readOnly: true
          type: string
        status:
          type: string
        strategy_id: {}
        timezone: {}
        type:
          enum:
            - CASHBACK
            - UNIQUE_COUPON
            - GENERIC_COUPON
            - VOUCHER
            - AFFILIATION
            - LBS_CASHBACK
          maxLength: 14
      required:
        - deep_link_url
        - description
        - id
        - name
        - reference
        - type
      type: object
    CashbackProgramOfferM2m:
      properties:
        application_channel:
          enum:
            - BOTH
            - ONLINE
            - OFFLINE
          maxLength: 7
        application_url:
          nullable: true
        brand:
          $ref: '#/components/schemas/OfferBrand'
        brand_id: {}
        cashback_rate: {}
        completed_at:
          format: date-time
          readOnly: true
          type: string
        created_at:
          format: date-time
          type: string
        deactivated_at:
          format: date-time
          nullable: true
          type: string
        description:
          minLength: 1
        end_date:
          format: date-time
          nullable: true
          type: string
        highlight_level:
          enum:
            - HIGHEST
            - HIGH
            - NORMAL
          maxLength: 7
          nullable: true
        id:
          format: uuid
          type: string
        is_ab_tested:
          type: boolean
        is_main_source_transaction:
          type: boolean
        is_targeted: {}
        legal_terms:
          minLength: 1
        max_amount:
          nullable: true
          type: number
        max_cashbacks_per_consumer:
          nullable: true
          type: integer
        min_amount:
          nullable: true
          type: number
        name:
          minLength: 1
        picture: {}
        picture_id: {}
        publication_date:
          format: date-time
          nullable: true
          type: string
        reference:
          type: string
        segments:
          items: {}
          type: array
        start_date:
          format: date-time
          nullable: true
          type: string
        status:
          readOnly: true
          type: string
        strategy_id: {}
        timezone: {}
        translation: {}
        type:
          enum:
            - CASHBACK
            - UNIQUE_COUPON
            - GENERIC_COUPON
            - VOUCHER
            - AFFILIATION
            - LBS_CASHBACK
          maxLength: 14
      required:
        - description
        - id
        - legal_terms
        - name
        - reference
        - type
      type: object
    ProgramCouponGenericOfferM2m:
      properties:
        application_channel:
          enum:
            - BOTH
            - ONLINE
            - OFFLINE
          maxLength: 7
        application_url: {}
        brand:
          $ref: '#/components/schemas/OfferBrand'
        brand_id:
          format: uuid
          type: string
        completed_at:
          format: date-time
          nullable: true
          type: string
        coupon_diffusion_type:
          enum:
            - QR
            - EAN
            - CODE
          maxLength: 4
          type: string
        coupon_generic_code:
          type: string
        deactivated_at:
          format: date-time
          nullable: true
          type: string
        description: {}
        end_date:
          format: date-time
          nullable: true
          type: string
        highlight_level:
          enum:
            - HIGHEST
            - HIGH
            - NORMAL
          maxLength: 7
          nullable: true
        id:
          format: uuid
          type: string
        legal_terms: {}
        name: {}
        picture:
          $ref: '#/components/schemas/Image'
        picture_id:
          format: uuid
          nullable: true
          type: string
        publication_date:
          format: date-time
          nullable: true
          type: string
        reference:
          type: string
        segments:
          items: {}
          type: array
        start_date:
          format: date-time
          nullable: true
          type: string
        status:
          type: string
        strategy_id:
          default: null
        timezone: {}
        type:
          enum:
            - CASHBACK
            - UNIQUE_COUPON
            - GENERIC_COUPON
            - VOUCHER
            - AFFILIATION
            - LBS_CASHBACK
          maxLength: 14
      required:
        - coupon_generic_code
        - id
        - reference
        - type
      type: object
    ProgramCouponUniqueOfferM2m:
      properties:
        application_channel:
          enum:
            - BOTH
            - ONLINE
            - OFFLINE
          maxLength: 7
        application_url: {}
        brand:
          $ref: '#/components/schemas/OfferBrand'
        brand_id:
          format: uuid
          type: string
        completed_at:
          format: date-time
          nullable: true
          type: string
        coupon_diffusion_type:
          enum:
            - QR
            - EAN
            - CODE
          maxLength: 4
          type: string
        deactivated_at:
          format: date-time
          nullable: true
          type: string
        description: {}
        end_date:
          format: date-time
          nullable: true
          type: string
        highlight_level:
          enum:
            - HIGHEST
            - HIGH
            - NORMAL
          maxLength: 7
          nullable: true
        id:
          format: uuid
          type: string
        legal_terms: {}
        name: {}
        picture:
          $ref: '#/components/schemas/Image'
        picture_id:
          format: uuid
          nullable: true
          type: string
        publication_date:
          format: date-time
          nullable: true
          type: string
        reference:
          type: string
        segments:
          items: {}
          type: array
        start_date:
          format: date-time
          nullable: true
          type: string
        status:
          type: string
        strategy_id:
          default: null
        timezone: {}
        type:
          enum:
            - CASHBACK
            - UNIQUE_COUPON
            - GENERIC_COUPON
            - VOUCHER
            - AFFILIATION
            - LBS_CASHBACK
          maxLength: 14
      required:
        - id
        - reference
        - type
      type: object
    VoucherProgramOfferM2m:
      properties:
        application_channel:
          enum:
            - BOTH
            - ONLINE
            - OFFLINE
          maxLength: 7
        application_url:
          nullable: true
        brand:
          $ref: '#/components/schemas/OfferBrand'
        brand_id: {}
        completed_at:
          format: date-time
          readOnly: true
          type: string
        deactivated_at:
          format: date-time
          nullable: true
          type: string
        description: {}
        end_date:
          format: date-time
          nullable: true
          type: string
        highlight_level:
          enum:
            - HIGHEST
            - HIGH
            - NORMAL
          maxLength: 7
          nullable: true
        id:
          format: uuid
          type: string
        legal_terms:
          minLength: 1
        max_discount_rate:
          description: maximum discount rate
          nullable: true
          type: number
        max_value:
          description: maximum value of the vouchers
          type: number
        min_value:
          description: minimal value of the vouchers
          type: number
        name:
          minLength: 1
        picture:
          $ref: '#/components/schemas/Image'
        picture_id:
          format: uuid
          nullable: true
          type: string
        proposed_vouchers:
          items:
            $ref: '#/components/schemas/ProposedVoucher'
          readOnly: true
          type: array
        publication_date:
          format: date-time
          nullable: true
          type: string
        reference:
          type: string
        segments:
          items: {}
          type: array
        start_date:
          format: date-time
          nullable: true
          type: string
        status:
          readOnly: true
          type: string
        strategy_id: {}
        timezone: {}
        translation: {}
        type:
          enum:
            - CASHBACK
            - UNIQUE_COUPON
            - GENERIC_COUPON
            - VOUCHER
            - AFFILIATION
            - LBS_CASHBACK
          maxLength: 14
        voucher_modes:
          description: Describe the mode of voucher proposal, can be one or another or both
          items:
            type: string
          type: array
      required:
        - id
        - legal_terms
        - name
        - reference
        - type
        - voucher_modes
      type: object
    OfferBrand:
      properties:
        cashback_validation_delay_days: {}
        description:
          nullable: true
        id:
          format: uuid
          type: string
        legal_terms:
          nullable: true
        logo:
          $ref: '#/components/schemas/Image'
        name:
          type: string
        primary_language:
          readOnly: true
        secondary_languages:
          readOnly: true
        universes:
          items:
            $ref: '#/components/schemas/UniverseOffer'
          type: array
      type: object
    Image:
      properties:
        content_type:
          type: string
        created_at:
          format: date-time
          nullable: true
          readOnly: true
          type: string
        id:
          format: uuid
          type: string
        links:
          $ref: '#/components/schemas/Links'
        name:
          type: string
        owner:
          description: ID of the uploader of the file
          format: uuid
          nullable: true
          type: string
        path:
          description: Path of the image file
          nullable: true
          readOnly: true
          type: string
      type: object
    ProposedVoucher:
      properties:
        price:
          description: The buying price of a voucher including program fees
          nullable: true
          readOnly: true
          type: number
        value:
          description: The value to spent in merchant shop
          nullable: true
          readOnly: true
          type: number
      type: object
    UniverseOffer:
      properties:
        children:
          nullable: true
        id:
          format: uuid
          type: string
        name:
          nullable: true
          type: string
        parent_id: {}
      type: object
    Links:
      properties:
        download:
          format: url
          type: string
        preview:
          format: url
          type: string
      type: object
  securitySchemes:
    ApiKeyAuth:
      bearerFormat: JWT
      scheme: bearer
      type: http

````